Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

3 - Forum dédié Ardour

> Forums de discussion > 3 - Forum dédié Ardour > [A3] Chargement de session impossible [RESOLU]
Dernier post
Page : 1/2   -   Aller directement à la page : 1  2 

[A3] Chargement de session impossible [RESOLU]

stixlaw utilisateur non connecté France
Bonjour,

Je rencontre depuis peu des difficultées pour charger certaines session de A3. En fait je rencontre 2 problèmes.

1. pour certaines session il me demande à chaque ouverture le chemin vers certains fichiers MIDI (toujours les mêmes). De plus j'ai remarquer que dans le dossier du projet je me retrouve avec 2 version d'interchang avec 2 chemins différents : le premier du style /projet/interchange/midifiles et le second /projet/interchange/projet/midifiles

2. ma session commence à se charger normalement mais stope subitement pendant le chargement de plugins. Ma dernière ligne dans le terminal donne :

Citation :
7f8c7c0cd000-7f8c7c0ce000 rw-p 00003000 08:05 1078347 /usr/lib/ladspa/cs_phaser.soAbandon


Une idée?
J'utilise TangoStudio avec Ardour3.5.403~dfsg-0tstudio1

Merci

malt utilisateur non connecté
La version 3.5.403 contient un gros bug.
Un des membres à déjà eu le bug:
forumthread58995
et la documentation le signal:
Ardour 3

Cherche de ce coté là.

Ps: vivement que Ardour3 sorte en version final cool

Je confirme.

Sur la page Ardour 3 Compilation tu as tout ce qu'il faut pour installer les outils qui vont bien pour te compiler ardour.
Ensuite soit tu desinstalle ardour3 soit tu modifie juste le chemin de l'entrée de menu:
/usr/local/bin/ardour3

zebassprophet utilisateur non connecté
j'avoue que je suis moins emmerdé maintenant que j'ai la derniere version de ardour compilé
surtout avec le midi
C'est pas encore le pérou mais je peux au moins ouvrir mes sessions

stixlaw utilisateur non connecté France
Bonjour,

Bon j'aime pas trop compilé... y a toujours des erreurs inattendues du style :
quand je lance ./waf configure il me renvoie

-------------
Ardour Configuration
* Will build against private GTK dependency stack : no
* Will rely on libintl built into libc : yes
* Will build against private Ardour dependency stack : no
Checking for function dlopen : yes
Checking for boost library >= 1.39 : too old
Please install boost version 1.39 or higher.
--------------

Je fais une rapide recherche sur Boost et je trouve une série de libboost-* en version 1.49

Des idées?

zebassprophet utilisateur non connecté
bah ouais, je dirais d'installer boost du coup :-D
vu que je maitrise pas parfois je regarde dans la logitheque ubuntu voir si je trouve les bons logiciels et je les installes via ce biais

cela dit le tuto etait assez complet, vu que j'ai reussi a compiler ardour^^

Je confirme :
apt-get install libboost-dev

Commande d'installation des dépendances mise à jour sur le tuto ...

stixlaw utilisateur non connecté France
Bon on avance.

Mais... voici le dernier message d'erreur durant la compil...

Checking for 'alsa'
['/usr/bin/pkg-config', 'alsa', '--cflags', '--libs']
err: Package alsa was not found in the pkg-config search path.
Perhaps you should add the directory containing `alsa.pc'
to the PKG_CONFIG_PATH environment variable
No package 'alsa' found
not found


Arf il t'en manque un bout alors

essais voir ça :

apt-get install alsa-base alsa-utils


stixlaw utilisateur non connecté France
Ils sont déjà installés tous les deux

stixlaw utilisateur non connecté France
Ok j'ai trouvé il s'agit du fichier alsa.pc qui fait parti de libasound2, j'ai installé libasound2-dev et j'ai pu passer cette étape..
Nouveau message d'erreur:

Checking for 'glib-2.0' >= 2.28
['/usr/bin/pkg-config', '--atleast-version=2.28', 'glib-2.0']
not found


? ok alors vois pour :
libasound2-dev mais normalement il est dans le commande du tuto


Sinon tu fait un :

./ waf clean

suivit d'un
./waf configure

ET tu m'envois ici tout ce qu'il te retourne.
Si l'affichage du code est foireux sur lmao tu retourne le tout sur pastebin.com et tu copie le lien ici...

stixlaw utilisateur non connecté France
il faut installer : libgilb2.0-dev
Nouveau message d'erreur :
Checking for 'glibmm-2.4' >= 2.32.0
['/usr/bin/pkg-config', '--atleast-version=2.32.0', 'glibmm-2.4']
not found


stixlaw utilisateur non connecté France
Mais la commande du tuto ne passe pas car il ne trouve pas 'rubberband-dev'...

apt-get install libglibmm-2.4-dev librubberband-dev


Et rectifications sur le tuto dans la foulée ...

stixlaw utilisateur non connecté France
Ok ok... j'y suis arrivé mais il m'a manqué libtag1-dev aussi

stixlaw utilisateur non connecté France
Je continue à suivre le tuto...
à bientôt...

libtag1-dev (reporté sur le tuto)

stixlaw utilisateur non connecté France
Youpi! je suis arrivé à la fin du tuto sans problème. Merci.
Je viens d'avoir un freeze... à surveiller
Il semble que j'ai moins de problème pour ouvrir les anciennes sessions mais il faut parfois que je m'y reprenne à plusieurs fois.
J'ai mis un 'resolu' espérons que ce n'est pas trop hatif.

Encore merci.

Y'a pas de quoi.



Page : 1/2  [Suivant]
1  2 
Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Connexion
[Afficher / Cacher]


Mégaphone [Afficher / Cacher]

Pepito-MC, 10:13, dim. 12 Jul 2020: Salut la Team
dawamss, 15:37, sam. 11 Jul 2020: un reportage à voir : la bataille du libre [Lien]
olinuxx, 16:00, jeu. 09 Jul 2020: Bonjour et bienvenue à CaptainKebs cool
sub26nico, 13:11, mer. 08 Jul 2020: Salut et bienvenue à 10D2P et J-B-V :-)
olinuxx, 15:36, mar. 07 Jul 2020: Bonjour et bienvenue à Moona cool
olinuxx, 15:42, lun. 06 Jul 2020: Bonjour et bienvenue à smellycat cool
allany, 21:11, dim. 05 Jul 2020: Trop fort, R-oooouane !
r1, 20:56, dim. 05 Jul 2020: Ce ne sont pas des nigauds, la bande de l'édito \o/ !
allany, 18:09, dim. 05 Jul 2020: C'est pas la bande à Bonnot, c'est la bande de l'édito ! [Lien]
GypsyPlayer, 10:33, ven. 03 Jul 2020: Merci Olinuxx ! J'épluche le site depuis maintenant 2-3 jours, y a plein plein d'infos c'est top !
olinuxx, 10:57, jeu. 02 Jul 2020: Bonjour et bienvenue à GypsyPlayer cool
olinuxx, 13:34, mer. 01 Jul 2020: Bonjour et bienvenue à nevastech cool